/*
 * BreakThread.java  -  This file is part of KEA.
 *
 * Copyright (C) 2002/03 PG 419, Department of Computer Science, 
 * University of Dortmund.          eMail: <peter.senft@udo.edu>
 */

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the KEA License Agreement which is based on 
 * the GNU General Public License as published by the Free Software 
 * Foundation; either version 2 of the License, or (at your option) 
 * any later version.  For details see License.txt.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

package kea;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class BreakThread extends Thread {
  protected Kea lauf;

  public BreakThread(Kea run) {
	  this.lauf = run;
	  Kea.logger.logDebug("Stopthread wurde initialisiert",this);
	  setDaemon(true);
  }

  public void run() {   
	  while (true) {
          
		  try {              
			BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
			String line = in.readLine();          
			if (line.equals ("exit")) 
				break;
		  }
          
		  catch (IOException ioe) {
			  ioe.printStackTrace();
		  }

	  } //end of while
	  lauf.setUserBreak(true);
  }

}
