/*
 * FileName.java  -  This file is part of KEA.
 *
 * Copyright (C) 2002/03 PG 419, Department of Computer Science, 
 * University of Dortmund.          eMail: <peter.senft@udo.edu>
 */

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the KEA License Agreement which is based on 
 * the GNU General Public License as published by the Free Software 
 * Foundation; either version 2 of the License, or (at your option) 
 * any later version.  For details see License.txt.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

package kea.evaluations.common;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.GregorianCalendar;

/**
 * @author Tim Hohm
 * @version $Revision: 723 $
 */
public class FileName {
  private static String fileName;

  public FileName() {
  }

  public static String produceName(String method){
    String retVal = method;
    GregorianCalendar time = (GregorianCalendar)GregorianCalendar.getInstance();
    SimpleDateFormat format = new SimpleDateFormat("_yyMMdd_HHmmss");
    // generate unic Timestamp for filename
    retVal = retVal + format.format(new Date());
    // to avoid problems with your Microsoft Windows system:
    retVal = retVal.replace(':','_');
    retVal = retVal.replace('/','-');
    retVal = retVal.replace(' ','%');
    return retVal;
  }
}
