/*
 * Copyright (C) 2005  PG447 - University Dortmund
 * 
 * This file is part of NObELTJE.
 * 
 * NObELTJE is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as published by
 * the Free Software Foundation.
 * 
 * NObELTJE is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with NObELTJE; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

 /*
 * Created on Jul 14, 2004
 *
 */
 
package org.nobeltje.exceptions;

/**
 * Wird geworfen von RandomPG.nextDouble(lowerBound, upperbound),
 * falls lowerBound>upperBound.
 * 
  * @author $Author: noot $
 * @version $Revision: 726 $
 * $Date: 2005-02-02 00:50:20 +0100 (Mi, 02 Feb 2005) $
 */
public class InvalidBoundException extends Exception {

	/**
	 * Leerer Konstruktor ruft Super-Konstruktor auf.
	 */
	public InvalidBoundException() {
		super();
	}

	/**
	 * @param message Fehlerinformation
	 */
	public InvalidBoundException(String message) {
		super(message);
	}

	/**
	 * @param cause Fehlerursache
	 */
	public InvalidBoundException(Throwable cause) {
		super(cause);
	}

	/**
	 * @param message Fehlerinformation
	 * @param cause Fehlerursache
	 */
	public InvalidBoundException(String message, Throwable cause) {
		super(message, cause);
	}

}
