/*
 * Copyright (C) 2005  PG447 - University Dortmund
 * 
 * This file is part of NObELTJE.
 * 
 * NObELTJE is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as published by
 * the Free Software Foundation.
 * 
 * NObELTJE is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with NObELTJE; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

 /**
 * Created on June 24, 2004
 *
 */
package org.nobeltje.algo.test;

import java.util.ArrayList;

import junit.framework.TestCase;


/**
 * @author $Author: noot $
 * @version $Revision: 726 $
 * $Date: 2005-02-02 00:50:20 +0100 (Mi, 02 Feb 2005) $
 */

public class PredatorPreyTest extends TestCase {
	
	String testfunction = "FonsecaF1";
	String generations = "100";
	String archiveSize = "100";
	String variance = "0.5";
	String args[] = {"-t", testfunction, "-g", generations, "-c", "algo/PredatorPrey"} ;
	
	
	/*
	 * Zum Testen die Klasse Prey public setzen.
	 * 
	public void testPrey() {
		// Prey-Test

		PredatorPrey algo = new PredatorPrey(args);
		PredatorPrey.Prey prey = algo.new Prey();
		
		ArrayList position = new ArrayList();
		position.add(0, new Double(1));
		position.add(1,  new Double(2));
		prey.setPosition(position);
		assertEquals("Prey-Positionen-Gleichheitstest", position, prey.getPosition());
		
		// Der dritte Double-Wert bei assertEquals gibt anscheinend den erlaubten Rundungsfehler beim Vergleich der beiden ersteren Double-Werte an.
		assertEquals("Prey-Positionen-Test2", 1.0, ((Double)(prey.getPosition()).get(0)).doubleValue(), 0.1);
		
		assertSame("Prey-Same-Object-Test", position, prey.getPosition());		
		
		
		ArrayList position2 = new ArrayList();
		prey.setPosition(position2);
		assertNotNull("Prey-Positionen-Test3", prey.getPosition());
	}
	*/
	
	/*
	 * Zum Testen die Klasse Predator public setzen.
	 *
	public void testPredator() {
		// Predator-Test

		PredatorPrey algo = new PredatorPrey(args);
		PredatorPrey.Predator pred = algo.new Predator(1, new ArrayList());

		ArrayList position = new ArrayList();
		position.add(0, new Double(1));
		position.add(1,  new Double(2));
		
		pred.setPosition(position);
		
		assertEquals("Predator-Positionen-Gleichheitstest", position, pred.getPosition());
		
		// Der dritte Double-Wert bei assertEquals gibt anscheinend den erlaubten Rundungsfehler beim Vergleich der beiden ersteren Double-Werte an.
		assertEquals("Predator-Positionen-Test2", 1.0, ((Double)(pred.getPosition()).get(0)).doubleValue(), 0.1);
		
		assertSame("Predator-Same-Object-Test", position, pred.getPosition());		
		
		
		ArrayList position2 = new ArrayList();
		pred.setPosition(position2);
		assertNotNull("Predator-Positionen-Test3", pred.getPosition());
				
		// assertEquals("Alternativ-Test", 1.0, 2.1, 1.2);
	}
	*/
	
	/*
	 * Zum Testen die Klasse PopulationGraph public setzen.
	 *
	public void testPopulationGraph(){
		// Test des Populationsgraphen

		PredatorPrey algo = new PredatorPrey(args);
		PredatorPrey.PopulationGraph graph = algo.new PopulationGraph(10, 10);
		
		PredatorPrey.Prey prey = algo.new Prey();
		
		ArrayList position = new ArrayList();
		position.add(0, new Integer(1));
		position.add(1,  new Integer(2));
		prey.setPosition(position);

		graph.setIndividual(prey, 2, 5);
		assertEquals("Graph-Test1", prey, graph.getIndividual(2, 5));
		
		
		graph.setIndividual(prey, prey.getPosition());
		assertEquals("Graph-Test2", prey, graph.getIndividual(prey.getPosition()));		
	}
	*/
	
	/*
	// fuer diesen Test die Methoden
	// getRight, getLeft, getUp, getDown
	// public machen
	public void testgetNext() {
		
		PredatorPrey algo = new PredatorPrey(args);
		int center, left, right, up, down;
		// SIZE_X = 32
		// SIZE_Y = 25
		
		// funktioniert normales zaehlen?
		// ok
		center = 15;
		right = algo.getRight(center);
		assertEquals("count:right", center+1, right);
		left = algo.getLeft(center);
		assertEquals("count:left", center-1, left);
		up = algo.getUp(center);
		assertEquals("count:up", center-1, up);
		down = algo.getDown(center);
		assertEquals("count:down", center+1, down);
		
		// funktioniert Torus-Eigenschaft?
		// ok
		right = algo.getRight(32);
		assertEquals("torus:right", 0, right);
		left = algo.getLeft(0);
		assertEquals("torus:left", 31, left);
		up = algo.getUp(0);
		assertEquals("torus:up", 24, up);
		down = algo.getDown(27);
		assertEquals("torus:down", 0, down);
		
		// Reaktion auf negative Eingaben?
		// Ergebnis: negative Eingaben werden als gueltig behandelt.
		// Das ist nicht gut!
		right = algo.getRight(-5);
		assertEquals("negative:right", -4, right);
		left = algo.getLeft(-5);
		assertEquals("negative:left", 31, left);
		up = algo.getUp(-5);
		assertEquals("negative:up", 24, up);
		down = algo.getDown(-5);
		assertEquals("negative:down", -4, down);
		
		// Reaktion auf zu grosse Eingaben?
		// Ergebnis: zu grosse Eingaben werden als gueltig behandelt.
		// Das ist nicht gut!
		right = algo.getRight(50);
		assertEquals("big:right", 0, right);
		left = algo.getLeft(50);
		assertEquals("big:left", 49, left);
		up = algo.getUp(50);
		assertEquals("big:up", 49, up);
		down = algo.getDown(50);
		assertEquals("big:down", 0, down);
	}
	*/
	
	public void testInit() {
		
	}
	
	
	/*
	public void testBuildSelectionSet(){
		// Test der Methode buildSelectionSet
	
		PredatorPrey algo = new PredatorPrey(args);
		algo.init();
		
		for(int i=0; i<algo.predators.size(); i++){
				
		}
	}
	*/
	
	public void testList() {
		ArrayList myList = new ArrayList();
		Integer number0 = new Integer(0); 
		Integer number1 = new Integer(1); 
		myList.add(number0);
		myList.add(number1);
		//myList.get(0);
		assertEquals("arraylist", number0, myList.get(0));
		assertEquals("arraylist", number1, myList.get(1));
	}
	
}
