/*
 * Copyright (C) 2005  PG447 - University Dortmund
 * 
 * This file is part of NObELTJE.
 * 
 * NObELTJE is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as published by
 * the Free Software Foundation.
 * 
 * NObELTJE is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with NObELTJE; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

 /*
 * Created on 11.05.2004
 *
 * @author Hendrik
 * nur ein eclipse cvs test
 */
//package org.nobeltje.org.pg447.functions;
package org.nobeltje.testfkt;


import java.util.ArrayList;
import java.util.List;

/**
 * @author $Author: noot $
 * @version $Revision: 726 $
 * $Date: 2005-02-02 00:50:20 +0100 (Mi, 02 Feb 2005) $
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */

public class Schnittstelle {
    /**
     * Eine erste Schnittstelle, ohne Parsing und Checks
     * @param args Ein Stringarray der Parameter
     *
     */
	public static void main(String[] args) {
		if (args.length < 1) {
					System.out.println("Aufruf mit pw oder oder einem long Wert als Parameter'");
					System.exit(-1);
					
		}
		
		DoubleParabola fonsi = new DoubleParabola();
//		FonsecaF1 fonsi = new FonsecaF1();	

		if (args[0].startsWith("pw")) {
			try {
				fonsi.writeParetoPoints(100, "Pareto_Front.dat");
			} catch(Exception e) {
			System.out.println("Oh Gott, ein Fehler:" + e);
		}
		}  else {
			List input = new ArrayList();
			try {
				input.add(Long.valueOf(args[0]));
				input.add(Long.valueOf(args[1]));
				List results = fonsi.execute(input);
				System.out.println("f1(x)= " + results.get(0) + " , f2(x)= " + results.get(1));
			} catch(Exception e) {
				System.out.println("Oh Gott, ein Fehler:" + e);
			}
		}
	}
}
