/*
 * Copyright (C) 2005  PG447 - University Dortmund
 * 
 * This file is part of NObELTJE.
 * 
 * NObELTJE is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as published by
 * the Free Software Foundation.
 * 
 * NObELTJE is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with NObELTJE; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

 /*
 * Created on 18.11.2004
 *
 */
package org.nobeltje.testfkt.test;

import junit.framework.TestCase;
import org.nobeltje.testfkt.ZDT6;

/**
 * @author $Author: noot $
 * @version $Revision: 726 $
 * $Date: 2005-02-02 00:50:20 +0100 (Mi, 02 Feb 2005) $
 *
 */
public class ZDT6Test extends TestCase {	
	ZDT6 myZDT6 = new ZDT6();
	
	public void testMethods() {
		assertEquals(10, myZDT6.getDimension());
		assertEquals(2, myZDT6.getNumberOfObjectives());
		
		try {
			myZDT6.writeParetoPoints(1000, "zdt6paretotest.dat");
		} catch (Exception e) {
			e.printStackTrace();
		}
		
		assertEquals(20, myZDT6.getOptimalBounds().size());
		
		System.out.println(myZDT6.toString());
	}	


	/**
	 * 
	 */
	public ZDT6Test() {
		super();
	}


}
