/*
 * Copyright (C) 2005  PG447 - University Dortmund
 * 
 * This file is part of NObELTJE.
 * 
 * NObELTJE is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as published by
 * the Free Software Foundation.
 * 
 * NObELTJE is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with NObELTJE; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

 /*
 * Created on Nov 29, 2004
 * Ralf Kosse
 *
 */
package org.nobeltje.tools.io;

import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;

/**
 * @author $Author: noot $
 * @version $Revision: 726 $
 * $Date: 2005-02-02 00:50:20 +0100 (Mi, 02 Feb 2005) $
 */
public class CleanFile{
	
	public static void filterCommas(String filename){
		
		
		// Temporaere Datei
/*		File tempFile = new File("temp.tmp");
		if (!(tempFile.exists())){
			System.out.println("Fehler beim Anlegen der Temporaer-Datei!");
			System.exit(1);	// Direkter Abbruch des Programms
			
		}
	*/	
		// Die jew. Datei + die neue temporaere Datei oeffnen
		try {

			// File-Reader zur Eingabedatei und zur Temp-Datei anlegen
			FileReader inputFileReader = new FileReader(filename);
			try {
				FileWriter tempFileWriter = new FileWriter("tempFile.tmp");
			
			boolean eof = false;
			int character = 0;
			while(!eof){

				// Ein Zeichen der Input-Datei lesen
				try {
					character = inputFileReader.read();
				} catch (IOException e2) {
					e2.printStackTrace();
				}
				
				// kein Komma?
				if (character!=','){
					tempFileWriter.write(character);
				}
				
				// Ende der Datei ist erreicht?
				if (character == -1) 
					eof = true;
				
			}
			
			// Datenstroeme schliessen
			inputFileReader.close();
			tempFileWriter.close();
			
		} catch (IOException e1) {
			System.out.println("Fehler beim Schreiben der Tempor?r-Datei!");
			System.exit(1);	// Direkter Abbruch des Programms
			e1.printStackTrace();
		}
			
			
			
		} catch (FileNotFoundException e) {
			System.out.println("Datei nicht gefunden!");
			e.printStackTrace();
			System.exit(1);	// Direkter Abbruch des Programms
		}
		
	}
	

}