/*
 * Copyright (C) 2005  PG447 - University Dortmund
 * 
 * This file is part of NObELTJE.
 * 
 * NObELTJE is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as published by
 * the Free Software Foundation.
 * 
 * NObELTJE is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with NObELTJE; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

 /**
 * Created on July 4, 2004
 *
 */
package org.nobeltje.tools.io;

import java.util.List;

/**
 * @author $Author: noot $
 * @version $Revision: 726 $
 * $Date: 2005-02-02 00:50:20 +0100 (Mi, 02 Feb 2005) $
 */

public class ListOperation{
	
	/**
	 * Casted ein Listen-Element nach int
	 * 
	 * @param list
	 * @param index
	 * @return Gibt das Objekt als int zurck  
	 */
	public static int getInt(List list, int index)
	{
		return ((Integer)list.get(index)).intValue();
	}

	/**
	 * Erstetzt das Element an der angegebenen Stelle durch 'value'
	 * 
	 * @param list
	 * @param index
	 * @param value
	 */
	public static void setInt(List list, int index, int value)
	{
		list.set(index, new Integer(value));
	}

	/**
	 * Haengt das angegebene Element an die Liste an
	 * 
	 * @param list
	 * @param value
	 */
	public static void addInt(List list, int value)
	{
		list.add(new Integer(value));
	}

	/**
	 * Casted ein Listen-Element nach double
	 * 
	 * @param list
	 * @param index
	 * @return Gibt das Objekt als double zurck 
	 */
	public static double getDouble(List list, int index) {
		return ((Double)list.get(index)).doubleValue();
	}

	/**
	 * Erstetzt das Element an der angegebenen Stelle durch 'value'
	 * 
	 * @param list
	 * @param index
	 * @param value
	 */
	public static void setDouble(List list, int index, double value)
	{
		list.set(index, new Double(value));
	}

	/**
	 * Haengt das angegebene Element an die Liste an
	 * 
	 * @param list
	 * @param value
	 */
	public static void addDouble(List list, double value)
	{
		list.add(new Double(value));
	}
}
